Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005564 [DCSS] Bug Report minor have not tried 2012-04-15 17:14 2014-02-24 14:19
Reporter MarvinPA View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0005564: Autoexplore loop with auto_drop_chunks
Description After butchering a storm dragon with auto_drop_chunks = yes, autoexplore entered a loop where it picks up part of the stack of chunks and leaves the rest on the floor (7 in inventory, 2 on floor after pressing autoexplore once, then 5 in inventory, 4 on the floor after pressing it again, then repeated). Save attached.
Additional Information
Tags No tags attached.
Attached Files bz2 file icon MarvinPA-e65fe5e-120415-1509.tar.bz2 [^] (2,214,301 bytes) 2012-04-15 17:14

- Relationships
related to 0008191closedMarvinPA Prevent autopickup on chunks dropped with auto_drop_chunks. 
has duplicate 0007993closedMarvinPA Bug in auto_drop_chunks 

-  Notes
(0019567)
KiloByte (manager)
2012-08-16 23:50

Here's a save _before_ a loop: just press o to trigger it.
(0023550)
BlackSheep (reporter)
2013-07-24 22:32

_do_autopickup() in items.cc calls drop_spoiled_chunks() when it needs more capacity.

drop_spoiled_chunks() calls copy_item_to_grid() which flags dropped chunks as ISFLAG_DROPPED, but also attempts to merge stackable chunks.

_do_autopickup() then clears ISFLAG_DROPPED before picking up the chunks.
(0025395)
MarvinPA (developer)
2014-02-24 13:37

Fixed by 0008191 (I think).

- Issue History
Date Modified Username Field Change
2012-04-15 17:14 MarvinPA New Issue
2012-04-15 17:14 MarvinPA File Added: MarvinPA-e65fe5e-120415-1509.tar.bz2
2012-04-15 17:15 MarvinPA Description Updated
2012-04-15 17:20 MarvinPA Description Updated
2012-08-16 23:50 KiloByte Note Added: 0019567
2013-07-24 22:32 BlackSheep Note Added: 0023550
2014-01-16 23:27 MarvinPA Relationship added has duplicate 0007993
2014-02-23 14:43 MarvinPA Relationship added related to 0008191
2014-02-24 13:37 MarvinPA Note Added: 0025395
2014-02-24 13:37 MarvinPA Status new => resolved
2014-02-24 13:37 MarvinPA Fixed in Branch => 0.14 development branch
2014-02-24 13:37 MarvinPA Resolution open => done
2014-02-24 13:37 MarvinPA Assigned To => MarvinPA
2014-02-24 14:19 MarvinPA Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker